<div class="btn-group-container mat-typography mat-app-background">
  <div class="btn-right-container">
    <app-menu-button
      *ngrxLet="slidesMenu$; let slidesMenu"
      [buttonValue]="slidesMenu.id"
      [enableTopBorderBoxShadow]="false"
      [selected]="slidesMenu.selected"
      (buttonClicked)="railMenuItemButton(slidesMenu.selected, $event)">
      <mat-icon>{{slidesMenu.icon}}</mat-icon>
    </app-menu-button>
    <app-menu-button
      *ngrxLet="validationMenu$; let validationMenu"
      [buttonValue]="validationMenu.id"
      [enableTopBorderBoxShadow]="true"
      [selected]="validationMenu.selected"
      (buttonClicked)="railMenuItemButton(validationMenu.selected, $event)">
      <mat-icon>{{validationMenu.icon}}</mat-icon>
    </app-menu-button>
  </div>
  <mat-sidenav-container
    [@.disabled]="true"
    *ngrxLet="showMenu$; let showMenu"
    hasBackdrop="false"
    class="menu-flex-container">
    <mat-sidenav
      #drawer
      class="side-nav-container"
      [opened]="showMenu"
      mode="side"
      position="end"
      [style.width.px]="(menuSize$|ngrxPush)"
      [style.max-width.px]="(menuSize$|ngrxPush)">
      <ng-container *ngrxLet="slidesMenu$; let slidesMenu">
        <div *ngIf="slidesMenu.selected" class="right-menu-content-container clickable">
          <app-slides-container></app-slides-container>
        </div>
      </ng-container>
      <ng-container *ngrxLet="validationMenu$; let validationMenu">
        <div *ngIf="validationMenu.selected" class="right-menu-content-container clickable">
          <app-slides-label
            *ngrxLet="slideSelected$; let slideSelected"
            class="menu-label-clickable"
            [labelId]="slideSelected?.id"
            [displayId]="slideSelected?.dataView?.local_id"
            [selected]="(slidesMenu$|ngrxPush).selected"
            [contentLoaded]="(slidesLoaded$|ngrxPush)"
            [freezedSlideCount]="(freezedSlides$|ngrxPush)"
            [totalSlideCount]="(slides$|ngrxPush).length"
            (click)="onLabelClicked($event, 'slides')">
          </app-slides-label>
          <app-validation-container></app-validation-container>
        </div>
      </ng-container>
    </mat-sidenav>
    <mat-sidenav-content
      class="no-transition"
      style="width: 100%;"
      [style.margin-right.px]="(menuSize$|ngrxPush)">
      <ng-content></ng-content>
    </mat-sidenav-content>
  </mat-sidenav-container>
</div>

